For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
      • POSTUpdate entity onboarding documents
      • POSTProvide files for entity onboarding verification
      • POSTUpdate person onboarding documents
      • POSTProvide files for person onboarding verification
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
PaymentsOnboarding documents

Provide files for person onboarding verification

POST
/persons/:person_id/onboarding_documents
POST
/v1/persons/:person_id/onboarding_documents
$curl -X POST https://api.sandbox.monite.com/v1/persons/person_id/onboarding_documents \
> -H "x-monite-version: 2024-01-31" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
Provide files for person onboarding verification
Was this page helpful?
Previous

Get onboarding requirements

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

person_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Request

This endpoint expects an object.
additional_verification_document_backstringOptionalformat: "uuid"
additional_verification_document_frontstringOptionalformat: "uuid"
verification_document_backstringOptionalformat: "uuid"
verification_document_frontstringOptionalformat: "uuid"

Errors

422
Post Persons ID Onboarding Documents Request Unprocessable Entity Error
500
Post Persons ID Onboarding Documents Request Internal Server Error